get_graph_from_graph_series {DiagrammeR} | R Documentation

## Get a graph available in a series

### Description

Using a graph series object of type `dgr_graph_1D`, get a graph object.

### Usage

    get_graph_from_graph_series(graph_series, graph_no)

### Arguments

`graph_series` | a graph series object of type `dgr_graph_1D`.
`graph_no` | the index of the graph in the graph series.

### Examples

    # Create three graphs
    graph_1 <-
      create_graph() %>%
      add_path(n = 4)

    graph_2 <-
      create_graph() %>%
      add_cycle(n = 5)

    graph_3 <-
      create_graph() %>%
      add_star(n = 6)

    # Create an empty graph series
    # and add the graphs
    series <-
      create_graph_series() %>%
      add_graph_to_graph_series(
        graph = graph_1) %>%
      add_graph_to_graph_series(
        graph = graph_2) %>%
      add_graph_to_graph_series(
        graph = graph_3)

    # Get the second graph in the series
    extracted_graph <-
      series %>%
      get_graph_from_graph_series(
        graph_no = 2)

[Package DiagrammeR version 1.0.1 Index]